image:
  alpine:latest

stages:
  - build
  - test
  - deploy

build_job_1:
  stage: build
  script: echo 'Running build job 1'

build_job_2:
  stage: build
  script: echo 'Running build job 2'

build_job_3:
  stage: build
  script: echo 'Running build job 3'

snapshot_1:
  stage: test
  script: echo 'Snapshot testing 1....'

snapshot_2:
  stage: test
  script: echo 'Snapshot testing 2....'

snapshot_3:
  stage: test
  script: echo 'Snapshot testing 3....'

deploy_job_1:
  stage: deploy
  script: echo 'Deploying job 1....'

deploy_job_2:
  stage: deploy
  script: echo 'Deploying job 2....'

deploy_job_3:
  stage: deploy
  script: echo 'Deploying job 3....'

